import request from '@/utils/request'

// 查询装配详情列表
export function listDetail(query) {
  return request({
    url: '/track/detail/list',
    method: 'get',
    params: query
  })
}

// 查询装配详情详细
export function getDetail(id) {
  return request({
    url: '/track/detail/' + id,
    method: 'get'
  })
}

// 新增装配详情
export function addDetail(data) {
  return request({
    url: '/track/detail',
    method: 'post',
    data: data
  })
}

// 修改装配详情
export function updateDetail(data) {
  return request({
    url: '/track/detail',
    method: 'put',
    data: data
  })
}

// 删除装配详情
export function delDetail(id) {
  return request({
    url: '/track/detail/' + id,
    method: 'delete'
  })
}

// 导出装配详情
export function exportDetail(query) {
  return request({
    url: '/track/detail/export',
    method: 'get',
    params: query
  })
}
